Enneo

Report

Get telephony AI agent call insights

GET /report/telephonyAiAgentCallInsights/{aiAgentId}

GET /report/telephonyAiAgentCallInsights/{aiAgentId}

Returns hourly breakdown of call outcomes for a specific telephony AI agent. Shows how calls were handled throughout the day (0-23 hours).

Path parameters

aiAgentIdintegerpathrequired

The ID of the telephony AI agent

Query parameters

lastDaysenumquery

Number of days to look back

Responses

200 — Successful operation

Response Example

{
  "callsAnsweredByHour": {
    "data": {
      "0": {
        "AI Bot finished": 2,
        "Handed over to human": 5,
        "Declined/Missed": 0,
        "Short call (<10s)": 1
      },
      "1": {
        "AI Bot finished": 3,
        "Handed over to human": 4,
        "Declined/Missed": 0,
        "Short call (<10s)": 1
      },
      "2": {
        "AI Bot finished": 3,
        "Handed over to human": 2,
        "Declined/Missed": 0,
        "Short call (<10s)": 1
      },
      "8": {
        "AI Bot finished": 2,
        "Handed over to human": 7,
        "Declined/Missed": 8,
        "Short call (<10s)": 0
      },
      "12": {
        "AI Bot finished": 3,
        "Handed over to human": 3,
        "Declined/Missed": 8,
        "Short call (<10s)": 1
      },
      "20": {
        "AI Bot finished": 1,
        "Handed over to human": 9,
        "Declined/Missed": 0,
        "Short call (<10s)": 1
      },
      "23": {
        "AI Bot finished": 3,
        "Handed over to human": 5,
        "Declined/Missed": 0,
        "Short call (<10s)": 1
      }
    },
    "description": "Hourly breakdown of call outcomes showing how calls were handled by AI throughout the day.",
    "filters": {
      "lastDays": "7"
    },
    "summary": {
      "aiBotFinished": 53,
      "handedOver": 113,
      "declinedMissed": 96,
      "shortCall": 18
    }
  }
}

403 — Unauthorized

404 — Telephony AI agent not found

500 — Internal error